| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
photos.php File Reference

## Functions
| photo_upload ($channel, $observer, $args)
| photos_albums_list ($channel, $observer)
| photos_album_widget ($channelx, $observer, $albums=null)
| photos_list_photos ($channel, $observer, $album= '')
| photos_album_exists ($channel_id, $album)
| photos_album_rename ($channel_id, $oldname, $newname)
| photos_album_get_db_idstr ($channel_id, $album, $remote_xchan= '')
| photos_create_item ($channel, $creator_hash, $photo, $visible=false)

## Function Documentation

photo_upload | ( |  | $channel,
|  |  | $observer,
|  |  | $args
| ) |  |

Determine the album to use

We create a wall item for every photo, but we don't want to overwhelm the data stream with a hundred newly uploaded photos. So we will make the first photo uploaded to this album in the last several hours visible by default, the rest will become visible over time when and if they acquire comments, likes, dislikes, and/or tags

Referenced by photos_post(), and wall_upload_post().

photos_album_exists | ( |  | $channel_id,
|  |  | $album
| ) |  |

Referenced by photos_post().

photos_album_get_db_idstr | ( |  | $channel_id,
|  |  | $album,
|  |  | $remote_xchan = `''`
| ) |  |

Referenced by photos_post().

photos_album_rename | ( |  | $channel_id,
|  |  | $oldname,
|  |  | $newname
| ) |  |

Referenced by photos_post().

photos_album_widget | ( |  | $channelx,
|  |  | $observer,
|  |  | $albums = `null`
| ) |  |

Referenced by photos_init().

photos_albums_list | ( |  | $channel,
|  |  | $observer
| ) |  |

Referenced by api_albums(), photos_album_widget(), and photos_init().

photos_create_item | ( |  | $channel,
|  |  | $creator_hash,
|  |  | $photo,
|  |  | $visible = `false`
| ) |  |

Referenced by photos_post().

photos_list_photos | ( |  | $channel,
|  |  | $observer,
|  |  | $album = `''`
| ) |  |

Referenced by api_photos().